JGraph X 1.3.0.0

## com.mxgraph.layout.orthogonal
Class mxOrthogonalLayout

    java.lang.Object
      com.mxgraph.layout.mxGraphLayout
          com.mxgraph.layout.orthogonal.mxOrthogonalLayout

All Implemented Interfaces:
  mxIGraphLayout

    public class mxOrthogonalLayout

extends mxGraphLayout

Field Summary
`protected mxOrthogonalModel` `orthModel`
`protected boolean` `routeToGrid` Whether or not to route the edges along grid lines only, if the grid is enabled.

Fields inherited from class com.mxgraph.layout.mxGraphLayout
`graph, useBoundingBox`

Constructor Summary
`mxOrthogonalLayout(mxGraph graph)`

Method Summary
`void` `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.

Methods inherited from class com.mxgraph.layout.mxGraphLayout
`getConstraint, getConstraint, getGraph, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setUseBoundingBox, setVertexLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orthModel

    protected mxOrthogonalModel orthModel

### routeToGrid

    protected boolean routeToGrid

  Whether or not to route the edges along grid lines only, if the grid is enabled. Default is false

Constructor Detail

### mxOrthogonalLayout

    public mxOrthogonalLayout(mxGraph graph)

Method Detail

### execute

    public void execute(java.lang.Object parent)

  Description copied from interface: `mxIGraphLayout`
  Executes the layout for the children of the specified parent.

  Parameters:
    `parent` - Parent cell that contains the children to be layed out.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.